Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022569
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-12-13 14:142012-12-24 12:28
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0MP19
StatusclosedFix in branchFixed in SCM revision8b0cc256e2f6
ProjectionnoneETAnoneTarget Version3.0MP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022569: Format of numeric filter value is changed when filtering - numeric keyboard dot does not result in the comma in the filter field

DescriptionWhen I enter a filter value of 11,64 the system changes it to 11.64. Also when entering a dot through the numeric keyboard I get a dot instead of the expected comma.

This can be reproduced by setting the correct number format.
Steps To ReproduceTo reproduce:
- in format.xml set the grouping symbol to a dot and the decimal to a comma
- restart
- go to the sales order window
- enter a filter value with a decimal: 11,64
- tab out or press enter, the number is changed to 11.64
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054949)
hgbot (developer)
2012-12-14 14:09

Repository: erp/devel/pi
Changeset: 8b0cc256e2f6778bfcf5c933588596a44ed19adc
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Dec 14 14:09:19 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8b0cc256e2f6778bfcf5c933588596a44ed19adc [^]

Fixes issue 22569: Format of numeric filter value is changed when filtering - numeric keyboard dot does not result in the comma in the filter field
Call the keydownaction on the formitem also for filter numeric fields, make sure that formatting works also if the number is passed internally as a string.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0055012)
hudsonbot (developer)
2012-12-17 13:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c79ef1b1f830 [^]

Maturity status: Test
(0055171)
AugustoMauch (developer)
2012-12-24 12:28

Code reviewed and verified in pi@9c66708f78ef

- Issue History
Date Modified Username Field Change
2012-12-13 14:14 mtaal New Issue
2012-12-13 14:14 mtaal Assigned To => mtaal
2012-12-13 14:14 mtaal Modules => Core
2012-12-13 14:14 mtaal Triggers an Emergency Pack => No
2012-12-13 14:39 mtaal Summary Filtering numeric value gives error with grouping/decimal as comma/dot => Format of numeric filter value is changed when filtering - numeric keyboard dot does not result in the comma in the filter field
2012-12-13 14:39 mtaal Description Updated View Revisions
2012-12-13 14:39 mtaal Steps to Reproduce Updated View Revisions
2012-12-13 19:28 mtaal Review Assigned To => dbaz
2012-12-14 14:09 hgbot Checkin
2012-12-14 14:09 hgbot Note Added: 0054949
2012-12-14 14:09 hgbot Status new => resolved
2012-12-14 14:09 hgbot Resolution open => fixed
2012-12-14 14:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b0cc256e2f6778bfcf5c933588596a44ed19adc [^]
2012-12-17 13:34 hudsonbot Checkin
2012-12-17 13:34 hudsonbot Note Added: 0055012
2012-12-24 11:58 AugustoMauch Review Assigned To dbaz => AugustoMauch
2012-12-24 12:28 AugustoMauch Note Added: 0055171
2012-12-24 12:28 AugustoMauch Status resolved => closed
2012-12-24 12:28 AugustoMauch Fixed in Version => 3.0MP19


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker